WPS4TextInternal::DateTime Struct Reference

Internal: class to store a date/time format. More...

## Public Member Functions

| DateTime ()
| constructor More...
std::string | format () const
| returns a format to used with strftime More...

## Public Attributes

int | m_type
| the type More...
std::string | m_extra
| a string used to store the parsing errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, DateTime const &dtime)
| operator << More...

## Detailed Description

Internal: class to store a date/time format.

## Constructor & Destructor Documentation

WPS4TextInternal::DateTime::DateTime | ( |  | ) |

inline

constructor

## Member Function Documentation

std::string WPS4TextInternal::DateTime::format | ( |  | ) | const

returns a format to used with strftime

Referenced by WPS4Text::readText().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | DateTime const & | dtime
| ) |  |

friend

operator <<

## Member Data Documentation

std::string WPS4TextInternal::DateTime::m_extra

a string used to store the parsing errors

Referenced by WPS4Text::dttmDataParser(), and WPS4TextInternal::operator<<().

int WPS4TextInternal::DateTime::m_type

the type

Referenced by WPS4Text::dttmDataParser(), format(), and WPS4TextInternal::operator<<().

The documentation for this struct was generated from the following file:

- WPS4Text.cpp